> For the complete documentation index, see [llms.txt](https://docs.native.org/native-dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.native.org/native-dev/build-with-native/market-makers/native-market-makers-api/get-market-maker-info.md).

# GET Market maker info

A single interface to return all helpful info for a given market maker. Including:

* Basic info, like address, whitelisted IPs, status flags.
* Credit info.
* Collateral info.
* Position info, both long and short.
* Token info.

```json
{
  "mmAddress": "0x2AC1977DffA4917bf42419aDf70F6ba79cEBd326", // mm trader address
  "whitelist_ips": [ // whitelisted list of ips for interacting with Native API
    "..."
  ],
  "is_forced_paused": true, // if the mm is paused manually by Native
  "is_paused": true, // if the mm is paused due to settlement or collateral removal
  "is_short_fee_paused": true, // if short fee is paused
  "totalCreditUsd": "10000", // total credit generated by deposited collaterals
  "additionalCreditUsd": "0", // additional credit besides collateral
  "overallCreditUsd": "-70", // credit status generated by credit items
  "remainingCreditUsd": "9930", // remaining credit 
  "collaterals": { // all the collaterals that contributes to the credit
    "0xdac17f958d2ee523a2206206994597c13d831ec7": {
      "tokenAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "tokenSymbol": "USDT",
      "chainId": 1,
      "tokenUsdPrice": "1",
      "longCreditFactor": "0.8", // similar to "collateral factor", applies to usd value for final credit number
      "amount": "12500000000",
      "amountEther": "12500",
      "amountUsd": "12500",
      "creditUsd": "10000",
      "pendingRequest": {} // shows any pending request related to this collateral
    }
  },
  "positions": { // all the positions that contributes and uses credits
    "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48": {
      "tokenAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
      "tokenSymbol": "USDC",
      "chainId": 1,
      "tokenUsdPrice": "1",
      "longCreditFactor": "0.9", 
      "amount": "-100000000",
      "amountEther": "-100",
      "amountUsd": "-100",
      "pendingFee": "0", // any funding fee that is not yet realised into position and not updated on chain
      "pendingFeeEther": "0",
      "pendingFeeUsd": "0",
      "creditUsd": "-100",
      "pendingRequest": {}
    },
    "0xdac17f958d2ee523a2206206994597c13d831ec7": {
      "tokenAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "tokenSymbol": "USDT",
      "chainId": 1,
      "tokenUsdPrice": "1",
      "longCreditFactor": "0.8",
      "amount": "37500000",
      "amountEther": "37.5",
      "amountUsd": "37.5",
      "pendingFee": "0",
      "pendingFeeEther": "0",
      "pendingFeeUsd": "0",
      "creditUsd": "30",
      "pendingRequest": {}
    },
    // ...
  },
  "next_epoch_update_timestamp": "1754060848", // the timestamp of next epoch update that realise the pending fee into position
  "tokens": { // all the available token info, including available borrow, and fee related
    "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48": {
      "tokenAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
      "tokenSymbol": "USDC",
      "chainId": 1,
      "tokenUsdPrice": "1",
      "max_borrow_amount": "9930000000",
      "max_borrow_amount_ether": "9930",
      "longCreditFactor": "0.9",
      "short_fee_bps": "10" // annualised fee rate for short positions
    },
    "0xdac17f958d2ee523a2206206994597c13d831ec7": {
      "tokenAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "tokenSymbol": "USDT",
      "chainId": 1,
      "tokenUsdPrice": "1",
      "max_borrow_amount": "9930000000",
      "max_borrow_amount_ether": "9930",
      "longCreditFactor": "0.8",
      "short_fee_bps": "10"
    },
    // ...
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.native.org/native-dev/build-with-native/market-makers/native-market-makers-api/get-market-maker-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
